#ifndef _GPIB_GPIB_ARCH_H_
#define _GPIB_GPIB_ARCH_H_ 1


#ifdef __cplusplus 
extern "C" {
#endif

  /* GPIB controller architectures */

  enum GcArchE {			/* controller chip register architectures */
	  GCA_7210,		/* original NEC controller 	*/
	  GCA_72010,		/* iGPIB			*/
	  GCA_72100,		/* 72100 core based		*/
	  GCA_9914,		/* TMS 9914 controller		*/
	  CNT_GCA
  };
  extern const char *mpszGcArch[CNT_GCA];
  #define szGcArch(i) mpszGcArch[(i)]
  #define GCA_GP5130 GCA_72100
  #define GCA_72130 GCA_72100

#ifdef __cplusplus 
}
#endif

#endif 
